Disk Enclosures
cancel
Showing results for 
Search instead for 
Did you mean: 

FIrmware 2.08 and 1.18 Smart Array P400

SOLVED
Go to solution
Morineau F.
Occasional Visitor

FIrmware 2.08 and 1.18 Smart Array P400

Good morning,

I've got a problem with storage controller P400 (Firmware 2.08) with DL580 G4 and DL380 G5. After the creation of a logical Volume, I was not able to create partitions with GDISK command (error messages) before install Windows 2003 with unattend file. I tried FDISK command but nothing changed. I had to downgrade Firmware version to 1.18. Then, creation and format of partitions was possible.
Why? Anybody ever had this? Is there an other solution?

I think the date of firmware version are stranges:
1.18 1 feb 2007
2.08 2 feb 2007 (only one day...)

The 1.18 version doesn't appear on previous FirmwareUpdate CD. I found it only with the last specifications for my servers.

Am i beeing paranoïd?...;o)

10 REPLIES
MSDUSA
Occasional Visitor

Re: FIrmware 2.08 and 1.18 Smart Array P400

Hi Morineau:

No, you are not paranoid â we are experiencing the same problem.

I have developed an Automated Server Build process for the DL380 G5â s, per designated OS, using a mounted ISO file. I also developed an Automated Boot disk that automatically disables Virtual Install Disk in the BIOS and uses GDISK to partition/format the disks per queried partition sizes.

We have to downgrade the DL380 G5 P400 controller firmware from version 2.08 to 1.18 in order for GDISK to successfully partition/format the disks. Otherwise, GDISK fails with an INT13 error while it is attempting to format the partition.

Furthermore, we have to downgrade the DL380 G5 RIB from firmware version 1.26 to 1.22 in order for the Automated Server Build mounted ISO process to work.

We have been downgrading the P400 firmware from 2.08 to 1.18 since itâ s inception in February 2007.

After going through tons of â Red Tapeâ , I was finally able to open a case with HP in March 2007. HP has been working on a fix since March 2007. I have been maintaining contact with HP on a daily basis since March - I have yet to receive an answer/fix.

This is not the first time HP has thrown the IT community a curve ball. For example, recently HP left us hanging, with little or no support, when they retired/discontinued the DOS SmartStart Scripting component. HPâ s suggested workaround was either WinPE (which we all know was never fully developed for automation â only recovery) or HPâ s RDP (which is archaic to say the least). Hence, that is why I wrote/developed my own Automated Server Build process.

When I receive a response/fix from HP, I will post the response/fix here.
VinGin
Occasional Visitor

Re: FIrmware 2.08 and 1.18 Smart Array P400

Which version of GDisk you guys using?
I using the Gdisk from Ghost8, not sure if the version from 2003 will works??
I tried downgrading the firmware to 1.18 from 2.08 but after restart, the controller failed with POST err 1783 Smart Array Controller failure, tried both the offline and online methods, both kill the controllers.....

MSDUSA
Occasional Visitor

Re: FIrmware 2.08 and 1.18 Smart Array P400

VinGin:

Do not downgrade the P400 from 2.08 to 1.18!!!

Either there is a bad batch of chips circulating or HP may have recently changed "something" in the P400 firmware flash code. Regardless, the downgrade currently corrupts the P400 controller cards!

I was informed that HP is currently aware of the P400 Controller issue and is working towards a solution.

I will post any new developments here.
MSDUSA
Occasional Visitor
Solution

Re: FIrmware 2.08 and 1.18 Smart Array P400

All:

The following Disk Partion/Format tool will work on the DL380 G5 P400 controllers with firmware revision 2.08:

AEFDISK - One can download the tool from the following URL: http://www.aefdisk.com.

I have designed and tested a script that automates the use of the tool - the tool works well!

The tool is Freeware/Shareware!
Michael Bunker
Frequent Advisor

Re: FIrmware 2.08 and 1.18 Smart Array P400

An INT13 BIOS issue was identified with the P400 controller when running without a battery pack installed. To understand if you have this issue, does your controller have the battery pack option attached?
Kimik
Frequent Advisor

Re: FIrmware 2.08 and 1.18 Smart Array P400

Thanks for this !

We have also confirmed aefdisk works as a replacement for GDISK and FDISK, until the new BIOS

There's no present like time
Morineau F.
Occasional Visitor

Re: FIrmware 2.08 and 1.18 Smart Array P400

Thank You MSDUSA, i will try AEFDISK very soon!
JarekM
Occasional Advisor

Re: FIrmware 2.08 and 1.18 Smart Array P400

You may download latest ROMpaq 2.10 for p400 from ftp://ftp.compaq.com/pub/softlib2/software1/sc-linux-fw-array/p21699296/v42077/

This is to be used in conjuction with Firmware Maintenance CD (USB) (http://h18007.www1.hp.com/support/files/server/us/download/27225.html)

Mark Knepper
Occasional Visitor

Re: FIrmware 2.08 and 1.18 Smart Array P400

I am having a similar problems with an automated install of Win2k from Cisco Systems that attempts to configure the RAID BIOS but indicates that it cannot do so. I assume this is because the automated install was written to use 1.18 and my server came loaded with 2.08. Will going to 2.10 work? If not and I try to downgrade, where can I find 1.18?

Changing the automated install script is not an option.

Thanks,
Mark
jonulf
Occasional Visitor

Re: FIrmware 2.08 and 1.18 Smart Array P400

Hi

I've had the problems you describe. Using GDISK from Ghost 11 or fdisk from Caldera DrDos has worked for me though.

/J